#include <string.h>
#include <string.hpp>

String::String(const char* str) {
    this->_chars.from_ptr((char*)str, strlen(str));
}

size_t String::len() {
    return this->_chars.len();
}

void String::clear() {
    this->_chars.clear();
}

Vec<char>& String::chars() {
    return this->_chars;
}

String String::fmt_to_str() {
    return this->clone();
}

String String::clone() {
    String s = String();
    s._chars = this->_chars.clone();
    return s;
}